"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }var _jsxruntime = require('react/jsx-runtime');
var _react = require('react');
var _FormField = require('./fieldComponents/FormField');
const RadioButtonItem = (props) => {
  let { inputId, attributes, optional, error } = props;
  const classNames = [
    "o3-form-input-radio-button",
    "o3-visually-hidden"
  ];
  if (error) {
    classNames.push("o3-form-input-error");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      "input",
      {
        ...attributes,
        type: "radio",
        id: inputId,
        className: classNames.join(" "),
        required: !optional,
        "aria-required": !optional
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "label", { htmlFor: inputId, className: "o3-form-input-radio-button__label", children: props.radioButtonLabel })
  ] });
};
const RadioButtonGroup = (props) => {
  const { children, ...restProps } = props;
  const radioGroupName = Math.random().toString(36).substring(7);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _FormField.FormFieldset, { ...restProps, children: children.map((child) => {
    const hasError = _optionalChain([props, 'access', _ => _.feedback, 'optionalAccess', _2 => _2.errorElementIds, 'optionalAccess', _3 => _3.includes, 'call', _4 => _4(
      child.props.inputId
    )]);
    return /* @__PURE__ */ _react.createElement.call(void 0, 
      RadioButtonItem,
      {
        ...child.props,
        error: hasError,
        key: child.props.inputId,
        attributes: {
          ...child.props.attributes,
          name: radioGroupName
        }
      }
    );
  }) });
};



exports.RadioButtonGroup = RadioButtonGroup; exports.RadioButtonItem = RadioButtonItem;
