"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
var _outils = require('@financial-times/o-utils');
var _Feedback = require('./Feedback');
const uniqueId = _outils.uidBuilder.call(void 0, "o3-form");
const LabeledFormField = ({
  inputId,
  label,
  description,
  feedback,
  children,
  optional
}) => {
  const id = inputId || uniqueId("input_");
  const descriptionId = description ? uniqueId("description_") : void 0;
  const labelClasses = ["o3-form-field__label"];
  if (optional) {
    labelClasses.push("o3-form-field--optional");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "o3-form-field", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "label", { className: labelClasses.join(" "), htmlFor: id, children: label }),
    description && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "o3-form-input__description", id: descriptionId, children: description }),
    children,
    feedback && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _Feedback.Feedback, { ...feedback })
  ] });
};
const TitledFormField = ({
  label,
  description,
  feedback,
  children,
  optional
}) => {
  const descriptionId = description ? uniqueId("description_") : void 0;
  const labelId = uniqueId("label_");
  const labelClasses = ["o3-form-field__title"];
  if (optional) {
    labelClasses.push("o3-form-field--optional");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "o3-form-field", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: labelClasses.join(" "), id: labelId, children: label }),
    description && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "o3-form-input__description", id: descriptionId, children: description }),
    children,
    feedback && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _Feedback.Feedback, { ...feedback })
  ] });
};
const FormFieldset = ({
  label,
  description,
  feedback,
  children,
  optional
}) => {
  const descriptionId = uniqueId("checkbox_");
  const labelClasses = ["o3-form-field__legend"];
  if (optional) {
    labelClasses.push("o3-form-field--optional");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "fieldset", { className: "o3-form-field", "aria-describedby": `${descriptionId}`, children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "legend", { className: labelClasses.join(" "), children: label }),
    description && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "o3-form-input__description", id: descriptionId, children: description }),
    children,
    feedback && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _Feedback.Feedback, { ...feedback })
  ] });
};




exports.FormFieldset = FormFieldset; exports.LabeledFormField = LabeledFormField; exports.TitledFormField = TitledFormField;
