import { jsx, jsxs } from "react/jsx-runtime";
const ErrorSummary = ({
  errors,
  errorMessage = "Please correct these errors and try again."
}) => {
  return /* @__PURE__ */ jsxs("div", { className: "o3-form__error-summary", children: [
    /* @__PURE__ */ jsx("span", { className: "o3-form__error-summary-icon" }),
    /* @__PURE__ */ jsxs(
      "div",
      {
        className: "o3-form__error-summary__heading",
        role: "alert",
        "aria-labelledby": "error-summary-title",
        children: [
          /* @__PURE__ */ jsx("span", { id: "error-summary-title", className: "o3-typography-heading5", children: errorMessage }),
          /* @__PURE__ */ jsx("ul", { className: "o3-forms__error-summary__list o3-typography-body-small", children: errors.map(({ id, fieldName, message }) => /* @__PURE__ */ jsxs("li", { children: [
            /* @__PURE__ */ jsx("a", { className: "o3-typography-link", href: `#${id}`, children: fieldName }),
            /* @__PURE__ */ jsxs("span", { children: [
              ": ",
              message
            ] })
          ] }, id)) })
        ]
      }
    )
  ] });
};
export {
  ErrorSummary
};
