import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { LabeledFormField } from "./fieldComponents/FormField";
import { CheckBoxItem } from "./CheckBox";
const PasswordInput = ({
  label,
  feedback,
  description,
  disabled,
  attributes,
  inputId,
  optional
}) => {
  const inputClasses = ["o3-form", "o3-form-text-input"];
  if (feedback && feedback.type === "error") {
    inputClasses.push("o3-form-text-input--error");
  }
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(
      LabeledFormField,
      {
        label,
        feedback,
        description,
        inputId,
        optional,
        children: /* @__PURE__ */ jsx(
          "input",
          {
            ...attributes,
            id: inputId,
            disabled,
            className: inputClasses.join(" "),
            required: !optional,
            "aria-required": !optional,
            type: "password"
          }
        )
      }
    ),
    /* @__PURE__ */ jsxs("div", { className: "o3-password-input__controls", children: [
      /* @__PURE__ */ jsx(
        CheckBoxItem,
        {
          attributes: { disabled },
          inputId: "showPassword",
          checkboxLabel: "Show Password"
        }
      ),
      !disabled && /* @__PURE__ */ jsx("a", { href: "", children: "Forgot password?" })
    ] })
  ] });
};
export {
  PasswordInput
};
