type BaseInputProps = {
    inputId?: string;
    label?: string;
    description?: string;
    optional?: boolean;
    error?: boolean;
    attributes?: JSX.IntrinsicElements['input'];
};
interface TextInputProps extends BaseInputProps {
    disabled?: boolean;
    length?: 2 | 3 | 4 | 5;
    feedback?: FeedbackProps;
}
interface CheckBoxProps extends BaseInputProps {
    inputId: string;
    checkboxLabel: string;
    feedback?: FeedbackProps;
}
interface RadioButtonProps extends BaseInputProps {
    inputId: string;
    radioButtonLabel: string;
}
interface FormFieldsetProps {
    label: string;
    description?: string;
    children: JSX.Element | JSX.Element[];
    feedback?: FeedbackProps;
    optional?: boolean;
}
interface FormFieldProps extends BaseInputProps {
    feedback?: FeedbackProps;
    children: JSX.Element & JSX.IntrinsicElements['input'];
}
type FeedbackProps = {
    errorElementIds?: string[];
    message: string;
    type: 'error';
};
type ErrorSummaryProps = {
    errorMessage?: string;
    errors: {
        id: string;
        fieldName: string;
        message: string;
    }[];
};

export type { CheckBoxProps as C, ErrorSummaryProps as E, FormFieldsetProps as F, RadioButtonProps as R, TextInputProps as T, FormFieldProps as a, FeedbackProps as b };
